EndArtifactPublishEvent
Date: 2014-12-13

org.apache.ivy.core.event.publish

## Class EndArtifactPublishEvent

- java.lang.Object
- - org.apache.ivy.core.event.IvyEvent
  - - org.apache.ivy.core.event.publish.PublishEvent
    - - org.apache.ivy.core.event.publish.EndArtifactPublishEvent

-     public class EndArtifactPublishEvent
      extends PublishEvent

  Event fired after artifact publication has finished (possibly in error). Triggers registered on `NAME` will be notified of these events.
  See Also:
    `DependencyResolver.publish(Artifact, File, boolean)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `NAME`
    `static java.lang.String` | `STATUS_FAILED`
    `static java.lang.String` | `STATUS_SUCCESSFUL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EndArtifactPublishEvent(DependencyResolver resolver, Artifact artifact, java.io.File data, boolean overwrite, boolean successful)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isSuccessful()`

    - ### Methods inherited from class org.apache.ivy.core.event.publish.PublishEvent

      `getArtifact, getData, getResolver, isOverwrite`

    - ### Methods inherited from class org.apache.ivy.core.event.IvyEvent

      `addAttribute, addAttributes, addConfsAttribute, addMDAttributes, addModuleIdAttributes, addMridAttributes, equals, getAttributes, getName, getSource, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final java.lang.String NAME

      See Also:
        Constant Field Values

    - #### STATUS_SUCCESSFUL

          public static final java.lang.String STATUS_SUCCESSFUL

      See Also:
        Constant Field Values

    - #### STATUS_FAILED

          public static final java.lang.String STATUS_FAILED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EndArtifactPublishEvent

          public EndArtifactPublishEvent(DependencyResolver resolver,
                                 Artifact artifact,
                                 java.io.File data,
                                 boolean overwrite,
                                 boolean successful)

  - ### Method Detail

    - #### isSuccessful

          public boolean isSuccessful()

      Returns:
        true iff no errors were encountered during the publication